function [xwt,xtd,xF] = xlda_wrapper_partInf(counts1,counts2,t,td1,idx1,idx2)

% Train on sequences, starting from the structural p(z|d)
Z = linkage(counts1, 'complete');
C = cluster(Z, 'maxclust', t);

xwt_init = zeros(size(counts1,1), t);
for i = 1:t
    xwt_init(C == i, i) = 1;
end
xwt_init = normalize(xwt_init,1);
xwt_init(xwt_init==0) = 1/(size(xwt_init,1));
xwt_init = normalize(xwt_init,1);

[xwt,td_corr, ~, xF] = xplsa(counts1,t,0.00001,td1,xwt_init);

% Inference on the rest
[~, td_rest] = ldaSeqInference_wrapper(counts2, t, xwt,td_corr);

tmp = [td_corr td_rest];
idx = [idx1; idx2];

xtd = zeros(size(td_corr,1),length(idx1)+length(idx2));
for i = 1:length(idx)
    xtd(:, idx(i)) = tmp(:, i);
end

