function [wt, td, F] = ldaStruct_wrapper(counts,t)

% Initialization with complete link (usually, you can initialize random)
Z = linkage(counts, 'complete');
C = cluster(Z, 'maxclust', t);

wt = zeros(size(counts,1), t);
for i = 1:t
    wt(C == i, i) = 1;
end
wt = normalize(wt,1);
wt(wt==0) = 1/(size(wt,1));
init = normalize(wt,1);

% lda: we decide to point-estimate theta. In this case the model is also
% know as plsa
[wt, td, ~, F] = plsa(counts,t,0.00001,0,init,1);
